package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryForm;
import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryFormExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrCheckHistoryFormMapper {
    long countByExample(VisitDrCheckHistoryFormExample example);

    int deleteByExample(VisitDrCheckHistoryFormExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrCheckHistoryForm record);

    int insertSelective(VisitDrCheckHistoryForm record);

    List<VisitDrCheckHistoryForm> selectByExample(VisitDrCheckHistoryFormExample example);

    VisitDrCheckHistoryForm selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrCheckHistoryForm record, @Param("example") VisitDrCheckHistoryFormExample example);

    int updateByExample(@Param("record") VisitDrCheckHistoryForm record, @Param("example") VisitDrCheckHistoryFormExample example);

    int updateByPrimaryKeySelective(VisitDrCheckHistoryForm record);

    int updateByPrimaryKey(VisitDrCheckHistoryForm record);
}